Subject: Re: Meaning of time in IBIS

From: "Gregory R Edlund" <[email-masked]>
Date: Mon, 5 Nov 2001 12:54:14 -0600

Doug,

Just like Einstein said, time is relative.  (Sorry, you have to forgive an
old physics geek his "warped" sense of humor.)  Since behavioral models
concern themselves only with the off-chip node of an I/O circuit, you can't
really talk about the delay _through_ a behavioral model like you can in a
SPICE model.  You need to talk about the time that the I/O crosses a
reference voltage (Vmeas) when it drives a reference load (Cref, Rref,
Vref).  This is the same load that's called out in the component datasheet.
Behavioral simulators report net delays relative to this crossing point.
They throw out the whole notion of T=0 from the VT tables.  Therefore, it's
not impossible to have a negative net delay if your actual load is lighter
than the reference load.  But watch out - most IBIS datasheets don't even
have these parameters defined.

If you're looking for a nice checklist of things to look out for when you
get a new IBIS datasheet from a vendor, have a look at:

http://www.vhdl.org/pub/ibis/accuracy/checklist.txt

Greg Edlund
Electronic Packaging & Integration
IBM Server Technology Development
3605 Hwy. 52 N, Dept. HDC
Rochester, MN 55901
[email-masked]

                    "GUILLORY,DOUG                                                                            
                    (HP-Boise,ex1)       To:     "[email-masked]'" <[email-masked]>                  
                    "                    cc:                                                                  
                    <doug_guillory       Subject:     Meaning of time in IBIS                                 
                    @hp.com>                                                                                  
                    Sent by:                                                                                  
                    owner-ibis-use                                                                            
                    [email-masked]                                                                                

                    11/05/01 11:31                                                                            
                    AM                                                                                        

I am having problems understanding what time=0 means in IBIS models.  Can
anybody, please, tell me how time is referenced?  I don't see an explicit
statement of what the reference is and it seems to vary from one model
supplier to another.  Thanks.